(** gooCanvas enums *)

type anchor_type = [ `CENTER | `N | `NW | `NE | `S | `SW | `SE | `W | `E ]
type item_visibility =
  [ `HIDDEN | `INVISIBLE | `VISIBLE | `VISIBLE_ABOVE_THRESHOLD ]
type pointer_events =
  [ `VISIBLE_MASK | `PAINTED_MASK | `FILL_MASK | `STROKE_MASK | `NONE
  | `VISIBLE_PAINTED | `VISIBLE_FILL | `VISIBLE_STROKE | `VISIBLE | `PAINTED
  | `FILL | `STROKE | `ALL ]


(**/**)

module Conv = struct
  open Gpointer

  external _get_tables : unit ->
      anchor_type variant_table
    * item_visibility variant_table
    * pointer_events variant_table
    = "ml_goo_canvas_get_tables"

  let anchor_type_tbl, item_visibility_tbl,
      pointer_events_tbl = _get_tables ()

  let anchor_type = Gobject.Data.enum anchor_type_tbl
  let item_visibility = Gobject.Data.enum item_visibility_tbl
  let pointer_events = Gobject.Data.flags pointer_events_tbl
end
