open Gobject
open Data
module Object = GtkObject

  open GooCanvas_types
  open GooCanvasEnums

let may_cons = Property.may_cons
let may_cons_opt = Property.may_cons_opt

module ItemSimple = struct
  let cast w : item_simple obj = try_cast w "GooCanvasItemSimple"
  module P = struct
    let clip_path : ([>`goocanvasitemsimple],_) property =
      {name="clip-path"; conv=string}
    let fill_color : ([>`goocanvasitemsimple],_) property =
      {name="fill-color"; conv=string}
    let fill_color_rgba : ([>`goocanvasitemsimple],_) property =
      {name="fill-color-rgba"; conv=uint}
    let fill_pixbuf : ([>`goocanvasitemsimple],_) property =
      {name="fill-pixbuf"; conv=(gobject : GdkPixbuf.pixbuf data_conv)}
    let font : ([>`goocanvasitemsimple],_) property =
      {name="font"; conv=string}
    let font_desc : ([>`goocanvasitemsimple],_) property =
      {name="font-desc";
       conv=(unsafe_pointer : Pango.font_description data_conv)}
    let line_join_miter_limit : ([>`goocanvasitemsimple],_) property =
      {name="line-join-miter-limit"; conv=double}
    let line_width : ([>`goocanvasitemsimple],_) property =
      {name="line-width"; conv=double}
    let stroke_color : ([>`goocanvasitemsimple],_) property =
      {name="stroke-color"; conv=string}
    let stroke_color_rgba : ([>`goocanvasitemsimple],_) property =
      {name="stroke-color-rgba"; conv=uint}
    let stroke_pixbuf : ([>`goocanvasitemsimple],_) property =
      {name="stroke-pixbuf"; conv=(gobject : GdkPixbuf.pixbuf data_conv)}
  end
  let create pl : item_simple obj =
    Gobject.unsafe_create "GooCanvasItemSimple" pl
end

